package com.ruoyi.system.domain.grid.vo;

import java.util.ArrayList;
import java.util.List;

/**
 * @Auther: hxc
 * @Date: 2019/3/2 0002 14:03
 * @Description:
 */
public class GridTreeNode {
    /**
     * 节点id
     */
    private String id;

    /**
     * 名称
     */
    private String name;
    /**
     * 编码
     */
    private String code;
    private String level;
    /**
     * 父级id
     */
    private String parentId;
    private String wgArea;//网格面积 单位：亩

    private String wgCoordinate;//网格坐标

    private String wgCentreCoordinate;//中心坐标

    /**
     * 子节点
     */
    private List<GridTreeNode> child = new ArrayList();

    private String status;

    public String getStatus(){return status;}

    public void setStatus(String status){this.status=status;}

    public String getLevel() {
        return level;
    }

    public void setLevel(String level) {
        this.level = level;
    }

    public String getWgArea() {
        return wgArea;
    }

    public void setWgArea(String wgArea) {
        this.wgArea = wgArea;
    }

    public String getWgCoordinate() {
        return wgCoordinate;
    }

    public void setWgCoordinate(String wgCoordinate) {
        this.wgCoordinate = wgCoordinate;
    }

    public String getWgCentreCoordinate() {
        return wgCentreCoordinate;
    }

    public void setWgCentreCoordinate(String wgCentreCoordinate) {
        this.wgCentreCoordinate = wgCentreCoordinate;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getParentId() {
        return parentId;
    }

    public void setParentId(String parentId) {
        this.parentId = parentId;
    }

    public List<GridTreeNode> getChild() {
        return child;
    }

    public void setChild(List<GridTreeNode> child) {
        this.child = child;
    }
}
